FROM alpine:3.8

# Make directories
# Copy the static executable and config.

RUN mkdir -p /opt/binnit/log 
RUN mkdir -p /opt/binnit/html 
RUN mkdir -p /opt/binnit/paste 
COPY opt/binnit /opt/binnit/
COPY opt/binnit.cfg /opt/binnit/

# Set port
EXPOSE 80

# Run the binary.
ENTRYPOINT ["/opt/binnit/binnit","-c","/opt/binnit/binnit.cfg"]
